RT_SIGPENDING(2)

NAME
rt_sigpending - Examine a pending signal that has been raised while blocked

SYNOPSIS

long sys_rt_sigpending (sigset_t *set, size_t sigsetsize);

DESCRIPTION

rt_sigpending allows pending signals that have been raised while blocked to be examined. The set value stores the signal mask of the pending signals. sigsetesize should indicate the size of a sigset_t type or larger; otherwise, an error is returned.

RETURN VALUE

rt_sigpending returns 0 on success. Otherwise, rt_sigpending returns one of the errors listed in the "Errors" section.

ERRORS

-EINVAL
    An invalid signal was specified.

-EFAULT
    set pointed to memory that is not part of the process address space.

SEE ALSO

rt_sigaction(2), rt_sigprocmask(2), rt_sigqueueinfo(2), rt_sigreturn(2), rt_sigsuspend(2), rt_sigtimedwait(2)

AUTHOR
Niki Rahimi